org.mozilla.javascript.tools.jsc

## Class Main

- java.lang.Object
- - org.mozilla.javascript.tools.jsc.Main

-     public class Main
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Main()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Main entry point.
    `java.lang.String[]` | `processOptions(java.lang.String[] args)` Parse arguments.
    `void` | `processSource(java.lang.String[] filenames)` Compile JavaScript source.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Main

          public Main()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Main entry point. Process arguments as would a normal Java program. Then set up the execution environment and begin to compile scripts.

    - #### processOptions

          public java.lang.String[] processOptions(java.lang.String[] args)

      Parse arguments.

    - #### processSource

          public void processSource(java.lang.String[] filenames)

      Compile JavaScript source.